Package be.vlaanderen.mercurius.mohm.common.v7

# Class MobilityToolDetailType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.MobilityToolDetailType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class MobilityToolDetailType extends Object implements Serializable
Generiek type voor de aanpassing(en) in een aanvraag die wordt neergelegd bij BTC.

Java class for MobilityToolDetailType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MobilityToolDetailType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CareServiceCode" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}CareServiceCodeType" minOccurs="0"/>
             <element name="Amount" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}AmountType" minOccurs="0"/>
             <element name="Description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MobilityToolDetailType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAmount()`
  Gevraagd bedrag.
  `String`
  `getCareServiceCode()`
  Prestatiecode.
  `String`
  `getDescription()`
  Korte omschrijving.
  `void`
  `setAmount(BigDecimal value)`
  Sets the value of the amount property.
  `void`
  `setCareServiceCode(String value)`
  Sets the value of the careServiceCode property.
  `void`
  `setDescription(String value)`
  Sets the value of the description property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MobilityToolDetailType

    public MobilityToolDetailType()

- ## Method Details

  - ### getCareServiceCode

    public String getCareServiceCode()
    Prestatiecode.
    Returns:
      possible object is `String`

  - ### setCareServiceCode

    public void setCareServiceCode(String value)
    Sets the value of the careServiceCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCareServiceCode()`

  - ### getAmount

    public BigDecimal getAmount()
    Gevraagd bedrag.
    Returns:
      possible object is `BigDecimal`

  - ### setAmount

    public void setAmount(BigDecimal value)
    Sets the value of the amount property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getAmount()`

  - ### getDescription

    public String getDescription()
    Korte omschrijving.
    Returns:
      possible object is `String`

  - ### setDescription

    public void setDescription(String value)
    Sets the value of the description property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDescription()`